1. Thejesh GN
  2. commitsigs

Commits

Martin Geisler  committed d40c443

Check for OpenSSL in test.

  • Participants
  • Parent commits 68e8ece
  • Branches default

Comments (0)

Files changed (2)

File tests/hghave

View file
  • Ignore whitespace
 def has_gpg():
     return matchoutput('gpg --version 2>&1', r'GnuPG')
 
+def has_openssl():
+    return matchoutput('openssl version 2>&1', r'OpenSSL')
+
 def has_unix_permissions():
     d = tempfile.mkdtemp(prefix=tempprefix, dir=".")
     try:
     "inotify": (has_inotify, "inotify extension support"),
     "lsprof": (has_lsprof, "python lsprof module"),
     "mtn": (has_mtn, "monotone client (> 0.31)"),
+    "openssl": (has_openssl, "OpenSSL command line tool"),
     "outer-repo": (has_outer_repo, "outer repo"),
     "p4": (has_p4, "Perforce server and client"),
     "pygments": (has_pygments, "Pygments source highlighting library"),

File tests/test-commitsigs

View file
  • Ignore whitespace
 #!/bin/sh
 
-"$TESTDIR/hghave" gpg || exit 80
+"$TESTDIR/hghave" gpg openssl || exit 80
 
 cat >> $HGRCPATH <<EOF
 [extensions]